using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace IWS5.DatabaseAccess.IwsDataModels;

[Keyless]
[Table("ATUserPropertyDefinition")]
[Index("PropertyName", Name = "UQ__ATUserPr__FDF7CF1B1BB57D33", IsUnique = true)]
public partial class AtuserPropertyDefinition
{
    [Column("PropertyID")]
    public int PropertyId { get; set; }

    [StringLength(255)]
    public string PropertyName { get; set; } = null!;

    [StringLength(255)]
    public string DefaultValue { get; set; } = null!;
}
